org.apache.cassandra.transport

## Class Client

- java.lang.Object
- - org.apache.cassandra.transport.SimpleClient
  - - org.apache.cassandra.transport.Client

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class Client
      extends SimpleClient

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.SimpleClient

      `SimpleClient.EventHandler, SimpleClient.SimpleEventHandler`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.transport.SimpleClient

      `bootstrap, channel, connection, host, lastWriteFuture, port, responseHandler, tracker, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client(java.lang.String host, int port, int version, EncryptionOptions.ClientEncryptionOptions encryptionOptions)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `run()`

    - ### Methods inherited from class org.apache.cassandra.transport.SimpleClient

      `close, connect, establishConnection, execute, execute, execute, executePrepared, login, prepare, setEventHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client(java.lang.String host,
                        int port,
                        int version,
                        EncryptionOptions.ClientEncryptionOptions encryptionOptions)

  - ### Method Detail

    - #### run

          public void run()
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2018 The Apache Software Foundation